from django.test import TestCase
from admin import HostAdmin

class MockInstance:
    def __init__(self, groups):
        self.groups = MockGroups(groups)

class MockGroup:
    def __init__(self, name):
        self.name = name

class MockGroups:
    def __init__(self, groups):
        self.groups = groups

    def all(self):
        return self.groups

class HostAdminTestCase(TestCase):
    def test_no_groups(self):
        instance = MockInstance([])
        l = HostAdmin.list_groups(instance)
        self.assertEqual(l, "")

    def test_sigle_group(self):
        instance = MockInstance([MockGroup("alma")])
        l = HostAdmin.list_groups(instance)
        self.assertEqual(l, "alma")

    def test_multiple_groups(self):
        instance = MockInstance([MockGroup("alma"),
            MockGroup("korte"), MockGroup("szilva")])
        l = HostAdmin.list_groups(instance)
        self.assertEqual(l, "alma, korte, szilva")
